import { SdkContext, SdkServiceOperation } from "@azure-tools/typespec-client-generator-core";
export interface PythonEmitterOptions {
    "package-version"?: string;
    "package-name"?: string;
    "output-dir"?: string;
    "generate-packaging-files"?: boolean;
    "packaging-files-dir"?: string;
    "packaging-files-config"?: object;
    "package-pprint-name"?: string;
    "head-as-boolean"?: boolean;
    "models-mode"?: string;
    tracing?: boolean;
    "company-name"?: string;
    "generate-test"?: boolean;
    debug?: boolean;
    flavor?: "azure";
    "examples-dir"?: string;
    "enable-typespec-namespace"?: boolean;
    "use-pyodide"?: boolean;
}
export interface PythonSdkContext<TServiceOperation extends SdkServiceOperation> extends SdkContext<PythonEmitterOptions, TServiceOperation> {
    __endpointPathParameters: Record<string, any>[];
}
export declare const $lib: import("@typespec/compiler").TypeSpecLibrary<{
    "unknown-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["stack"]>;
    };
    "invalid-models-mode": {
        readonly default: import("@typespec/compiler").CallableMessage<["inValidValue"]>;
    };
    "pyodide-flag-conflict": {
        readonly default: "Python is not installed. Please follow https://www.python.org/ to install Python or set 'use-pyodide' to true.";
    };
    "no-valid-client": {
        readonly default: "Can't generate Python SDK since no client defined in typespec file.";
    };
    "invalid-paging-items": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-next-link": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-lro-result": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-continuation-token": {
        readonly default: import("@typespec/compiler").CallableMessage<["direction", "operationId"]>;
    };
}, PythonEmitterOptions, never>;
export declare const reportDiagnostic: <C extends "unknown-error" | "invalid-models-mode" | "pyodide-flag-conflict" | "no-valid-client" | "invalid-paging-items" | "invalid-next-link" | "invalid-lro-result" | "invalid-continuation-token", M extends keyof {
    "unknown-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["stack"]>;
    };
    "invalid-models-mode": {
        readonly default: import("@typespec/compiler").CallableMessage<["inValidValue"]>;
    };
    "pyodide-flag-conflict": {
        readonly default: "Python is not installed. Please follow https://www.python.org/ to install Python or set 'use-pyodide' to true.";
    };
    "no-valid-client": {
        readonly default: "Can't generate Python SDK since no client defined in typespec file.";
    };
    "invalid-paging-items": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-next-link": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-lro-result": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-continuation-token": {
        readonly default: import("@typespec/compiler").CallableMessage<["direction", "operationId"]>;
    };
}[C]>(program: import("@typespec/compiler").Program, diag: import("@typespec/compiler").DiagnosticReport<{
    "unknown-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["stack"]>;
    };
    "invalid-models-mode": {
        readonly default: import("@typespec/compiler").CallableMessage<["inValidValue"]>;
    };
    "pyodide-flag-conflict": {
        readonly default: "Python is not installed. Please follow https://www.python.org/ to install Python or set 'use-pyodide' to true.";
    };
    "no-valid-client": {
        readonly default: "Can't generate Python SDK since no client defined in typespec file.";
    };
    "invalid-paging-items": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-next-link": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-lro-result": {
        readonly default: import("@typespec/compiler").CallableMessage<["operationId"]>;
    };
    "invalid-continuation-token": {
        readonly default: import("@typespec/compiler").CallableMessage<["direction", "operationId"]>;
    };
}, C, M>) => void, createStateSymbol: (name: string) => symbol, getTracer: (program: import("@typespec/compiler").Program) => import("@typespec/compiler").Tracer;
//# sourceMappingURL=lib.d.ts.map